org.apache.hadoop.yarn.server.timeline.security

## Class TimelineAuthenticationFilterInitializer

- java.lang.Object
- - org.apache.hadoop.http.FilterInitializer
  - - org.apache.hadoop.yarn.server.timeline.security.TimelineAuthenticationFilterInitializer

-     public class TimelineAuthenticationFilterInitializer
      extends org.apache.hadoop.http.FilterInitializer

  Initializes `TimelineAuthenticationFilter` which provides support for Kerberos HTTP SPNEGO authentication.

  It enables Kerberos HTTP SPNEGO plus delegation token authentication for the timeline server.

  Refer to the `core-default.xml` file, after the comment 'HTTP Authentication' for details on the configuration options. All related configuration properties have `hadoop.http.authentication.` as prefix.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PREFIX` The configuration prefix of timeline HTTP authentication.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimelineAuthenticationFilterInitializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Map<String,String>` | `getFilterConfig()`
    `void` | `initFilter(org.apache.hadoop.http.FilterContainer container, org.apache.hadoop.conf.Configuration conf)` Initializes `TimelineAuthenticationFilter`.
    `protected void` | `setAuthFilterConfig(org.apache.hadoop.conf.Configuration conf)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PREFIX

          public static final String PREFIX

      The configuration prefix of timeline HTTP authentication.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TimelineAuthenticationFilterInitializer

          public TimelineAuthenticationFilterInitializer()

  - ### Method Detail

    - #### setAuthFilterConfig

          protected void setAuthFilterConfig(org.apache.hadoop.conf.Configuration conf)

    - #### getFilterConfig

          protected Map<String,String> getFilterConfig()

    - #### initFilter

          public void initFilter(org.apache.hadoop.http.FilterContainer container,
                                 org.apache.hadoop.conf.Configuration conf)

      Initializes `TimelineAuthenticationFilter`.

      Propagates to `TimelineAuthenticationFilter` configuration all YARN configuration properties prefixed with "yarn.timeline-service.http-authentication.".

      Specified by:
        `initFilter` in class `org.apache.hadoop.http.FilterInitializer`
      Parameters:
        `container` - The filter container.
        `conf` - Configuration for run-time parameters.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.